Skip to main content

Delete a regular rate

DELETE 

/v1/rates/regular/:id

Remove a flat zone from the system

Request

Path Parameters

    id stringrequired

    Regular rate ID

Responses

Regular rate deleted successfully

Schema
    _id stringrequired

    The ID of the regular rate

    rateName stringrequired

    The name of the regular rate

    isActive booleanrequired

    Whether the regular rate is active

    serviceType stringrequired

    The service type of the regular rate

    calculationMode numberrequired

    The calculation mode of the regular rate

    feePerStop numberrequired

    The fee per stop of the regular rate

    extraWaitTimeFee numberrequired

    The extra wait time fee of the regular rate

    priceAdjustment objectrequired
    isActive boolean
    minimumPercent number
    maximumPercent number
    value number

    Default value: 0

    startingFee numberrequired

    The starting fee of the regular rate

    minimumFee numberrequired

    The minimum fee of the regular rate

    feePerMinute numberrequired

    The fee per minute of the regular rate

    feePerDistance numberrequired

    The fee per distance of the regular rate

    speedThreshold numberrequired

    The speed threshold of the regular rate

    fareMode stringrequired

    The fare mode of the regular rate

    distanceTier string[]required

    The distance tier of the regular rate

    startDate stringrequired

    The start date of the regular rate

    endDate stringrequired

    The end date of the regular rate

    startTime stringrequired

    The start time of the regular rate

    endTime stringrequired

    The end time of the regular rate

    currencyISO stringrequired

    The currency ISO of the regular rate

    currencySymbol stringrequired

    The currency symbol of the regular rate

    isFeePerSeatActive booleanrequired

    Whether the fee per seat is active

    applyGeniusDiscount objectrequired
    enable boolean
    value number

    Default value: 5

    minSeat numberrequired

    The minimum seat of the regular rate

    dropOffZoneIds string[]required

    The drop off zone IDs of the regular rate

    createdDate date-timerequired

    The created date of the regular rate

    latestUpdate date-timerequired

    The latest update date of the regular rate

Loading...